// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "BaseWeaponClass.h"
#include "SniperClass.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API ASniperClass : public ABaseWeaponClass
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	ASniperClass();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;

private:

	bool bSingleShotOnly;
	FTimerHandle SniperTimerHandle;

protected:

	virtual void Fire() override;

	virtual void ApplyRecoil(float DeltaTime) override;

	void StopFire();
	
};
